Bug 821114 - netbook with GMA 500 GPU freezes when I try to suspend
netbook with GMA 500 GPU freezes when I try to suspend
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-11 23:40 EDT by Aram Agajanian
Modified: 2012-06-12 23:50 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-11 08:20:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aram Agajanian 2012-05-11 23:40:39 EDT
Description of problem:
A Dell Inspiron Mini 12 freezes when I try to suspend.  It has a GMA 500 GPU and is using the gma500 DRM driver.

Version-Release number of selected component (if applicable):
kernel-3.3.4-3.fc16.i686

How reproducible:
It happens every time.

Steps to Reproduce:
1.  Boot computer and log in.
2.  Suspend the computer either with pm-suspend command or with the GUI.
  
Actual results:
The display goes blank and then the computer freezes.

Expected results:
The display goes blank and then the computer suspends.

Additional info:
$ dmesg | grep -i error
[    1.174449] ACPI Error: Could not enable PowerButton event (20120111/evxfevnt-199)
[    1.179226] button: probe of LNXPWRBN:00 failed with error -22
[    2.285169] ioremap error for 0x3f6c0000-0x3f6c3000, requested 0x10, got 0x0
[   10.986090] lpc_sch: probe of 0000:00:1f.0 failed with error -16
[   14.819300] mcelog[838]: mcelog: Unsupported new Family 6 Model 1c CPU: only decoding architectural errors
Comment 1 Aram Agajanian 2012-05-24 23:11:34 EDT
The bug fixed in the web pages at the following URLs may be the same issue.

http://lists.freedesktop.org/archives/dri-devel/2012-May/023033.html

http://lists.freedesktop.org/archives/dri-devel/2012-May/023152.html
Comment 2 Josh Boyer 2012-05-25 09:10:54 EDT
Thanks for the links.

The patch referenced there is queued up to be included in the 3.3.8 and 3.4.1 stable kernel releases.  F17 will pick up one of those shortly.  Your testing feedback when they are built would be much appreciated.
Comment 3 Aram Agajanian 2012-06-11 00:06:18 EDT
Fedora 17 has been installed on my netbook.  Suspend and resume are working fine on my netbook with kernel-3.4.0-1.fc17.i686.rpm.
Comment 4 Josh Boyer 2012-06-11 08:20:34 EDT
Thank you for letting us know.
Comment 5 davidgf 2012-06-12 13:36:42 EDT
Same error here, upgraded to 3.4.0-1 kernel but resume still fails with a black screen and computer not responding (not even CAP LOCK key).
Any way to debug?

Thanks!
Comment 6 Aram Agajanian 2012-06-12 23:50:39 EDT
(In reply to comment #5)
> Same error here, upgraded to 3.4.0-1 kernel but resume still fails with a
> black screen and computer not responding (not even CAP LOCK key).
> Any way to debug?

I encountered a similar problem this evening on my netbook.  I just filed bug 831462.

Note You need to log in before you can comment on or make changes to this bug.